Deutsche Post DHL offers domestic and international shipping solutions for shipments originating in Germany and Austria. Through ShipStation API's integration with Deutsche Post DHL, you can ship with both domestic and international services, including electronic customs submission.
This guide provides developers with the details needed to build Deutsche Post DHL shipping capabilities into your ShipStation API workflows.
The following fields are required to establish a connection with Deutsche Post DHL:
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | A nickname for the account in ShipStation API (especially useful if connecting multiple accounts). |
user | string | required | Your Deutsche Post DHL account username. |
password | string | required | Your Deutsche Post DHL account password. |
account_number | string | required | Client ID (first 10 digits). |
Optional: You can also provide tracking and SFTP credentials to enable additional functionality.
| Property | Type | Required? | Description |
|---|---|---|---|
tracking_user | string | optional | Tracking User |
tracking_password | string | optional | Tracking Password |
participation_number | string | optional | Participation Number |
sftp_username | string | optional | SFTP Username |
sftp_password | string | optional | SFTP Password |
IMPORTANT:
For Germany and Austria addresses, the primary address field (
address_line1) must follow strict format: Street Name + space + House Number❌ Invalid:
WILHELM-MAUSER-STRASSE 47, HALLE 6 EG
✅ Valid:WILHELM-MAUSER-STRASSE 47Additional details (building names, floor, unit) must go in Address Line 2 or 3. This REST API integration strictly enforces automated address validation and the primary field cannot handle any extra formatting, commas, or descriptive text.
You can connect a Deutsche Post DHL account using the POST method to the /v1/connections/carriers/ endpoint, or via the ShipStation API Dashboard.
For instructions on connecting Deutsche Post DHL via the ShipStation API dashboard, see our Deutsche Post DHL help article.
carrier_name: deutsche_post_dhl
POST /v1/connections/carriers/:carrier_name
POST /v1/connections/carriers/deutsche_post_dhl HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My Deutsche Post DHL Account",
"user": "your_username",
"password": "pa55word",
"account_number": "1234567890"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Deutsche Post DHL does not send estimated rates to ShipStation API. Your Deutsche Post DHL account contact can provide you with the details about your contracted rates.
Available Deutsche Post DHL services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
Deutsche Post DHL domestic shipping services for Germany and Austria:
| Shipping Service | Carrier Code | API Code |
|---|---|---|
| DHL Paket | V01PAK | dhl_paket |
| DHL Paket Taggleich | V06PAK | dhl_paket_taggleich |
| DHL Paket Austria | V86PARCEL | dhl_paket_austria |
| DHL Kleinpaket | V62KP | dhl_warenpost |
Deutsche Post DHL international shipping services:
| Shipping Service | Carrier Code | API Code |
|---|---|---|
| DHL Paket International (Postal DDP) | V53WPAK-PDDP | dhl_paket_international_pddp |
| DHL Europaket | V54EPAK | dhl_europaket |
| DHL Paket Connect | V55PAK | dhl_paket_connect |
| DHL Paket Connect (Austria) | V87PARCEL | dhl_paket_connect_at |
| DHL Paket International | V53WPAK | dhl_paket_international |
| DHL Paket International (Austria) | V82PARCEL | dhl_paket_international_at |
| DHL Warenpost International | V66WPI | dhl_warenpost_international |
| DHL Warenpost International Premium | V66WPI-PRM | dhl_warenpost_international_premium |
Deutsche Post DHL does not support creating return labels with ShipStation API.
The following carrier package types are available for Deutsche Post DHL services:
| Name | Carrier Code | API Code | Package Attributes |
|---|---|---|---|
| Package | PKG | deutsche_post_dhl_package | Domestic, International |
Deutsche Post DHL supports adding carrier insurance to your shipments. Review the Parcel Insurance page for details on adding shipment insurance with ShipStation API.
- Label sizes: 4" x 6"
- Label formats: PDF, ZPL
International labels include customs forms.
Deutsche Post DHL supports adding custom label messages. Use label_message_1 to add custom label messages to the label reference fields.
NOTE: Deutsche Post DHL supports only one label message per shipment.
Deutsche Post DHL does not support creating multi-package shipments with ShipStation API.
Deutsche Post DHL does not support label branding.
Deutsche Post DHL supports voiding labels with ShipStation API.
Deutsche Post DHL does not currently support paperless labels.
Deutsche Post DHL supports electronic customs submission for international shipments. Customs forms are included with international labels.
Deutsche Post DHL includes delivery confirmation with all services. Specific confirmation types and options vary by service.
Deutsche Post DHL supports certain advanced options, which you can add to the shipment object when creating a shipment or label.
To ensure you always have the most up-to-date information about Deutsche Post DHL's advanced options, use the list carrier options call.
Deutsche Post DHL supports End of Day manifesting (both electronic and PDF formats). Review our Manifests page for more details about creating manifests with ShipStation API.
Deutsche Post DHL does not support scheduling pickups via ShipStation API.
Deutsche Post DHL does not currently support shipping to service points via ShipStation API.
ShipStation API's integration with Deutsche Post DHL supports receiving tracking updates. Review our Track a Package guides for details on tracking with ShipStation API.
| Issue | Resolution |
|---|---|
| Error Message: There was a problem with the request in its current state. (400) What it means: Printer settings in the DHL business customer portal must be adjusted. | Log in to your DHL business customer portal. Then, go to Sending > Basic Settings > General and adjust the printer settings. Supported Label Formats: PDF, ZPL Default Label size: 4" x 6" (inches) |
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.